# Interface Tensor<R>

A `tf.Tensor` object represents an immutable, multidimensional array of numbers that has a shape and a data type.

For performance reasons, functions that create tensors do not necessarily perform a copy of the data passed to them (e.g. if the data is passed as a `Float32Array`), and changes to the data will change the tensor. This is not a feature and is not supported. To avoid this behavior, use the tensor before changing the input data or create a copy with `copy = tf.add(yourTensor, 0)`.

See `tf.tensor` for details on how to create a `tf.Tensor`.

#### Doc

interface Tensor< R extends Rank = Rank > {
dataId : object;
dtype : keyof DataTypeMap;
id : number;
kept : boolean;
kerasMask ?: Tensor < Rank >;
rankType : R;
scopeId : number;
shape : ShapeMap[R];
size : number;
strides : number[];
get isDisposed (): boolean;
get rank (): number;
abs < T extends Tensor < Rank >>(this: T ): T ;
acos < T extends Tensor < Rank >>(this: T ): T ;
acosh < T extends Tensor < Rank >>(this: T ): T ;
add < T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T ;
all < T extends Tensor < Rank >>(
this: T ,
axis?: number | number[],
keepDims?: boolean,
): T ;
any < T extends Tensor < Rank >>(
this: T ,
axis?: number | number[],
keepDims?: boolean,
): T ;
argMax < T extends Tensor < Rank >>(axis?: number): T ;
argMin < T extends Tensor < Rank >>(axis?: number): T ;
array (): Promise<ArrayMap[R]>;
arraySync (): ArrayMap[R];
as1D < T extends Tensor < Rank >>(): Tensor1D ;
as2D < T extends Tensor < Rank >>(rows: number, columns: number): Tensor2D ;
as3D < T extends Tensor < Rank >>(
rows: number,
columns: number,
depth: number,
): Tensor3D ;
as4D < T extends Tensor < Rank >>(
rows: number,
columns: number,
depth: number,
depth2: number,
): Tensor4D ;
as5D < T extends Tensor < Rank >>(
rows: number,
columns: number,
depth: number,
depth2: number,
depth3: number,
): Tensor5D;
asin < T extends Tensor < Rank >>(this: T ): T ;
asinh < T extends Tensor < Rank >>(this: T ): T ;
asScalar < T extends Tensor < Rank >>(): Scalar;
asType < T extends Tensor < Rank >>(this: T , dtype: keyof DataTypeMap): T ;
atan < T extends Tensor < Rank >>(this: T ): T ;
atan2 < T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T ;
atanh < T extends Tensor < Rank >>(this: T ): T ;
avgPool < T extends Tensor3D | Tensor4D >(
filterSize: number | [number, number],
strides: number | [number, number],
pad: number | "valid" | "same" | ExplicitPadding,
dimRoundingMode?: "floor" | "round" | "ceil",
): T ;
batchNorm < T extends Tensor < Rank >>(
mean: Tensor <R> | TensorLike | Tensor1D ,
variance: Tensor <R> | TensorLike | Tensor1D ,
offset?: Tensor <R> | TensorLike | Tensor1D ,
scale?: Tensor <R> | TensorLike | Tensor1D ,
varianceEpsilon?: number,
): Tensor <R>;
batchToSpaceND < R extends Rank >(
blockShape: number[],
crops: number[][],
): Tensor < R >;
broadcastTo < R extends Rank >(shape: ShapeMap[ R ]): Tensor < R >;
buffer < D extends keyof DataTypeMap = "float32">(): Promise<
TensorBuffer<R, D >,
>;
bufferSync < D extends keyof DataTypeMap = "float32">(): TensorBuffer<R, D >;
bytes (): Promise<
Uint8Array<ArrayBufferLike>
| Uint8Array<ArrayBufferLike>[],
>;
cast < T extends Tensor < Rank >>(dtype: keyof DataTypeMap): T ;
ceil < T extends Tensor < Rank >>(this: T ): T ;
clipByValue < T extends Tensor < Rank >>(min: number, max: number): Tensor ;
clone < T extends Tensor < Rank >>(this: T ): T ;
concat < T extends Tensor < Rank >>(
tensors: T | (TensorLike | T)[],
axis?: number,
): T ;
conv1d < T extends Tensor2D | Tensor3D >(
filter: Tensor3D | TensorLike3D,
stride: number,
pad: number | "valid" | "same" | ExplicitPadding,
dataFormat?: "NWC" | "NCW",
dilation?: number,
dimRoundingMode?: "floor" | "round" | "ceil",
): T ;
conv2d < T extends Tensor3D | Tensor4D >(
filter: Tensor4D | TensorLike4D,
strides: number | [number, number],
pad: number | "valid" | "same",
dataFormat?: "NHWC" | "NCHW",
dilations?: number | [number, number],
dimRoundingMode?: "floor" | "round" | "ceil",
): T ;
conv2dTranspose < T extends Tensor3D | Tensor4D >(
filter: Tensor4D | TensorLike4D,
outputShape: [number, number, number] | [number, number, number, number],
strides: number | [number, number],
pad: number | "valid" | "same",
dimRoundingMode?: "floor" | "round" | "ceil",
): T ;
cos < T extends Tensor < Rank >>(this: T ): T ;
cosh < T extends Tensor < Rank >>(this: T ): T ;
cumprod < R extends Rank >(
axis?: number,
exclusive?: boolean,
reverse?: boolean,
): Tensor < R >;
cumsum < R extends Rank >(
axis?: number,
exclusive?: boolean,
reverse?: boolean,
): Tensor < R >;
data < D extends keyof DataTypeMap = NumericDataType>(): Promise<
DataTypeMap[ D ],
>;
dataSync < D extends keyof DataTypeMap = NumericDataType>(): DataTypeMap[ D ];
dataToGPU (options?: DataToGPUWebGLOption): GPUData;
depthToSpace < T extends Tensor4D >(
blockSize: number,
dataFormat: "NHWC" | "NCHW",
): T ;
depthwiseConv2d < T extends Tensor3D | Tensor4D >(
filter: Tensor4D | TensorLike4D,
strides: number | [number, number],
pad: number | "valid" | "same",
dataFormat?: "NHWC" | "NCHW",
dilations?: number | [number, number],
dimRoundingMode?: "floor" | "round" | "ceil",
): T ;
dilation2d < T extends Tensor3D | Tensor4D >(
filter: Tensor3D | TensorLike3D,
strides: number | [number, number],
pad: "valid" | "same",
dilations?: number | [number, number],
dataFormat?: "NHWC",
): T ;
dispose (): void;
div < T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T ;
divNoNan < T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T ;
dot < T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): Tensor ;
elu < T extends Tensor < Rank >>(): T ;
equal < T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T ;
erf < T extends Tensor < Rank >>(this: T ): T ;
euclideanNorm < T extends Tensor < Rank >>(
this: T ,
axis?: number | number[],
keepDims?: boolean,
): T ;
exp < T extends Tensor < Rank >>(this: T ): T ;
expandDims < T extends Tensor < Rank >>(axis?: number): T ;
expm1 < T extends Tensor < Rank >>(this: T ): T ;
fft < T extends Tensor < Rank >>(this: Tensor ): Tensor ;
flatten < T extends Tensor < Rank >>(): Tensor1D ;
floor < T extends Tensor < Rank >>(this: T ): T ;
floorDiv < T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T ;
gather < T extends Tensor < Rank >>(
this: T ,
indices: Tensor < Rank > | TensorLike ,
axis?: number,
batchDims?: number,
): T ;
greater < T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T ;
greaterEqual < T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T ;
ifft < T extends Tensor < Rank >>(this: Tensor ): Tensor ;
irfft < T extends Tensor < Rank >>(this: Tensor ): Tensor ;
isFinite < T extends Tensor < Rank >>(this: T ): T ;
isInf < T extends Tensor < Rank >>(this: T ): T ;
isNaN < T extends Tensor < Rank >>(this: T ): T ;
leakyRelu < T extends Tensor < Rank >>(alpha: number): T ;
less < T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T ;
lessEqual < T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T ;
localResponseNormalization < T extends Tensor < Rank >>(
depthRadius?: number,
bias?: number,
alpha?: number,
beta?: number,
): T ;
log < T extends Tensor < Rank >>(this: T ): T ;
log1p < T extends Tensor < Rank >>(this: T ): T ;
logicalAnd < T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T ;
logicalNot < T extends Tensor < Rank >>(): T ;
logicalOr < T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T ;
logicalXor < T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T ;
logSigmoid < T extends Tensor < Rank >>(this: T ): T ;
logSoftmax < T extends Tensor < Rank >>(this: T , axis?: number): T ;
logSumExp < T extends Tensor < Rank >>(
this: T ,
axis?: number | number[],
keepDims?: boolean,
): T ;
matMul < T extends Tensor < Rank >>(
b: Tensor < Rank > | TensorLike ,
transposeA?: boolean,
transposeB?: boolean,
): Tensor ;
max < T extends Tensor < Rank >>(
axis?: number | number[],
keepDims?: boolean,
): T ;
maximum < T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T ;
maxPool < T extends Tensor3D | Tensor4D >(
filterSize: number | [number, number],
strides: number | [number, number],
pad: number | "valid" | "same" | ExplicitPadding,
dimRoundingMode?: "floor" | "round" | "ceil",
): T ;
mean < T extends Tensor < Rank >>(
axis?: number | number[],
keepDims?: boolean,
): T ;
min < T extends Tensor < Rank >>(
axis?: number | number[],
keepDims?: boolean,
): T ;
minimum < T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T ;
mirrorPad < T extends Tensor < Rank >>(
paddings: [number, number][],
mode: "reflect" | "symmetric",
): T ;
mod < T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T ;
mul < T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T ;
neg < T extends Tensor < Rank >>(this: T ): T ;
norm < T extends Tensor < Rank >>(
ord?: number | "euclidean" | "fro",
axis?: number | number[],
keepDims?: boolean,
): Tensor ;
notEqual < T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T ;
oneHot (depth: number, onValue: number, offValue: number): Tensor ;
onesLike < T extends Tensor < Rank >>(this: T ): T ;
pad < T extends Tensor < Rank >>(
paddings: [number, number][],
constantValue?: number,
): T ;
pool < T extends Tensor3D | Tensor4D >(
windowShape: number | [number, number],
poolingType: "avg" | "max",
padding: number | "valid" | "same" | ExplicitPadding,
diationRate?: number | [number, number],
strides?: number | [number, number],
dimRoundingMode?: "floor" | "round" | "ceil",
): T ;
pow < T extends Tensor < Rank >>(exp: Tensor < Rank > | TensorLike ): T ;
prelu < T extends Tensor < Rank >>(alpha: TensorLike | T ): T ;
print (verbose?: boolean): void;
prod < T extends Tensor < Rank >>(
this: T ,
axis?: number | number[],
keepDims?: boolean,
): T ;
reciprocal < T extends Tensor < Rank >>(this: T ): T ;
relu < T extends Tensor < Rank >>(): T ;
relu6 < T extends Tensor < Rank >>(): T ;
reshape < T extends Tensor < Rank >>(shape: number[]): T ;
reshapeAs < T extends Tensor < Rank >>(x: T ): T ;
resizeBilinear < T extends Tensor3D | Tensor4D >(
newShape2D: [number, number],
alignCorners?: boolean,
halfPixelCenters?: boolean,
): T ;
resizeNearestNeighbor < T extends Tensor3D | Tensor4D >(
newShape2D: [number, number],
alignCorners?: boolean,
halfFloatCenters?: boolean,
): T ;
reverse < T extends Tensor < Rank >>(this: T , axis?: number | number[]): T ;
rfft < T extends Tensor < Rank >>(this: Tensor ): Tensor ;
round < T extends Tensor < Rank >>(this: T ): T ;
rsqrt < T extends Tensor < Rank >>(this: T ): T ;
selu < T extends Tensor < Rank >>(): T ;
separableConv2d < T extends Tensor3D | Tensor4D >(
depthwiseFilter: Tensor4D | TensorLike4D,
pointwiseFilter: TensorLike | Tensor4D ,
strides: number | [number, number],
pad: "valid" | "same",
dilation?: number | [number, number],
dataFormat?: "NHWC" | "NCHW",
): T ;
sigmoid < T extends Tensor < Rank >>(this: T ): T ;
sign < T extends Tensor < Rank >>(this: T ): T ;
sin < T extends Tensor < Rank >>(this: T ): T ;
sinh < T extends Tensor < Rank >>(this: T ): T ;
slice < T extends Tensor < Rank >>(
this: T ,
begin: number | number[],
size?: number | number[],
): T ;
softmax < T extends Tensor < Rank >>(this: T , dim?: number): T ;
softplus < T extends Tensor < Rank >>(this: T ): T ;
spaceToBatchND < R extends Rank >(
blockShape: number[],
paddings: number[][],
): Tensor < R >;
split < T extends Tensor < Rank >>(
numOrSizeSplits: number | number[],
axis?: number,
): T [];
sqrt < T extends Tensor < Rank >>(this: T ): T ;
square < T extends Tensor < Rank >>(this: T ): T ;
squaredDifference < T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T ;
squeeze < T extends Tensor < Rank >>(axis?: number[]): T ;
stack < T extends Tensor < Rank >>(
x: Tensor < Rank > | Tensor < Rank >[],
axis?: number,
): T ;
step < T extends Tensor < Rank >>(this: T , alpha?: number): T ;
stridedSlice < T extends Tensor < Rank >>(
this: Tensor ,
begin: number[],
end: number[],
strides: number[],
beginMask?: number,
endMask?: number,
ellipsisMask?: number,
newAxisMask?: number,
shrinkAxisMask?: number,
): Tensor ;
sub < T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T ;
sum < T extends Tensor < Rank >>(
axis?: number | number[],
keepDims?: boolean,
): T ;
tan < T extends Tensor < Rank >>(this: T ): T ;
tanh < T extends Tensor < Rank >>(this: T ): T ;
throwIfDisposed (): void;
tile < T extends Tensor < Rank >>(b: number[]): T ;
toBool < T extends Tensor < Rank >>(this: T ): T ;
toFloat < T extends Tensor < Rank >>(this: T ): T ;
toInt < T extends Tensor < Rank >>(this: T ): T ;
topk < T extends Tensor < Rank >>(
this: T ,
k?: number,
sorted?: boolean,
): { indices: T ; values: T };
toString (verbose?: boolean): string;
transpose < T extends Tensor < Rank >>(perm?: number[]): T ;
unique < T extends Tensor < Rank >>(
this: T ,
axis?: number,
): { indices: T ; values: T };
unsortedSegmentSum < T extends Tensor < Rank >>(
this: T ,
segmentIds: Tensor1D | TensorLike1D,
numSegments: number,
): T ;
unstack < T extends Tensor < Rank >>(axis?: number): T [];
variable (
trainable?: boolean,
name?: string,
dtype?: keyof DataTypeMap,
): Variable<R>;
where < T extends Tensor < Rank >>(
condition: Tensor < Rank > | TensorLike ,
x: Tensor < Rank > | TensorLike ,
): T ;
zerosLike < T extends Tensor < Rank >>(this: T ): T ;
}

#### Type Parameters

- R extends Rank = Rank

#### Implements

- TensorInfo

- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:115
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:130
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/abs.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/acos.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/acosh.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/add.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/all.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/any.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/arg_max.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/arg_min.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/as_scalar.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/as_type.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/as1d.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/as2d.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/as3d.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/as4d.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/as5d.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/asin.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/asinh.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/atan.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/atan2.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/atanh.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/avg_pool.d.ts:21
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/batch_to_space_nd.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/batchnorm.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/broadcast_to.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/cast.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/ceil.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/clip_by_value.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/concat.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/conv1d.d.ts:5
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/conv2d_transpose.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/conv2d.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/cos.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/cosh.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/cumprod.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/cumsum.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/depth_to_space.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/depthwise_conv2d.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/dilation2d.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/div_no_nan.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/div.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/dot.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/elu.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/equal.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/erf.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/euclidean_norm.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/exp.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/expand_dims.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/expm1.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/fft.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/flatten.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/floor.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/floorDiv.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/gather.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/greater_equal.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/greater.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/ifft.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/irfft.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/is_finite.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/is_inf.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/is_nan.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/leaky_relu.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/less_equal.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/less.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/local_response_normalization.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/log_sigmoid.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/log_softmax.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/log_sum_exp.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/log.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/log1p.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/logical_and.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/logical_not.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/logical_or.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/logical_xor.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/mat_mul.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/max_pool.d.ts:21
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/max.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/maximum.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/mean.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/min.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/minimum.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/mirror_pad.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/mod.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/mul.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/neg.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/norm.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/not_equal.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/one_hot.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/ones_like.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/pad.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/pool.d.ts:21
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/pow.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/prelu.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/prod.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/reciprocal.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/relu.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/relu6.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/reshape_as.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/reshape.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/resize_bilinear.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/resize_nearest_neighbor.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/reverse.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/rfft.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/round.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/rsqrt.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/selu.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/separable_conv2d.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/sigmoid.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/sign.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/sin.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/sinh.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/slice.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/softmax.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/softplus.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/space_to_batch_nd.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/split.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/sqrt.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/square.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/squared_difference.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/squeeze.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/stack.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/step.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/strided_slice.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/sub.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/sum.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/tan.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/tanh.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/tile.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/to_bool.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/to_float.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/to_int.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/topk.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/transpose.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/unique.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/unsorted_segment_sum.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/unstack.d.ts:4
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/where.d.ts:20
- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/zeros_like.d.ts:20

##### Index

### Properties

dataId
dtype
id
kept
kerasMask?
rankType
scopeId
shape
size
strides

### Accessors

isDisposed
rank

### Methods

abs
acos
acosh
add
all
any
argMax
argMin
array
arraySync
as1D
as2D
as3D
as4D
as5D
asin
asinh
asScalar
asType
atan
atan2
atanh
avgPool
batchNorm
batchToSpaceND
broadcastTo
buffer
bufferSync
bytes
cast
ceil
clipByValue
clone
concat
conv1d
conv2d
conv2dTranspose
cos
cosh
cumprod
cumsum
data
dataSync
dataToGPU
depthToSpace
depthwiseConv2d
dilation2d
dispose
div
divNoNan
dot
elu
equal
erf
euclideanNorm
exp
expandDims
expm1
fft
flatten
floor
floorDiv
gather
greater
greaterEqual
ifft
irfft
isFinite
isInf
isNaN
leakyRelu
less
lessEqual
localResponseNormalization
log
log1p
logicalAnd
logicalNot
logicalOr
logicalXor
logSigmoid
logSoftmax
logSumExp
matMul
max
maximum
maxPool
mean
min
minimum
mirrorPad
mod
mul
neg
norm
notEqual
oneHot
onesLike
pad
pool
pow
prelu
print
prod
reciprocal
relu
relu6
reshape
reshapeAs
resizeBilinear
resizeNearestNeighbor
reverse
rfft
round
rsqrt
selu
separableConv2d
sigmoid
sign
sin
sinh
slice
softmax
softplus
spaceToBatchND
split
sqrt
square
squaredDifference
squeeze
stack
step
stridedSlice
sub
sum
tan
tanh
throwIfDisposed
tile
toBool
toFloat
toInt
topk
toString
transpose
unique
unsortedSegmentSum
unstack
variable
where
zerosLike

## Properties

### dataId

dataId: object

Id of the bucket holding the data for this tensor. Multiple arrays can point to the same bucket (e.g. when calling array.reshape()).

Implementation of TensorInfo.dataId

- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:137

### `Readonly` dtype

dtype: keyof DataTypeMap

The data type for the array.

Implementation of TensorInfo.dtype

- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:143

### `Readonly` id

id: number

Unique id of this tensor.

- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:132

### kept

kept: boolean

Whether this tensor has been globally kept.

- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:147

### `Optional` kerasMask

kerasMask?: Tensor < Rank >

The keras mask that some keras layers attach to the tensor

- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:151

### `Readonly` rankType

rankType: R

The rank type for the array (see `Rank` enum).

- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:145

### scopeId

scopeId: number

The id of the scope this tensor is being tracked in.

- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:149

### `Readonly` shape

shape: ShapeMap[R]

The shape of the tensor.

Implementation of TensorInfo.shape

- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:139

### `Readonly` size

size: number

Number of elements in the tensor.

- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:141

### `Readonly` strides

strides: number[]

Number of elements to skip in each dimension when indexing. See https://docs.scipy.org/doc/numpy/reference/generated/\ numpy.ndarray.strides.html

- Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:157

## Accessors

### isDisposed

- get isDisposed(): boolean

  #### Returns boolean

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:243

### rank

- get rank(): number

  #### Returns number

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:159

## Methods

### abs

- abs< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/abs.d.ts:21

### acos

- acos< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/acos.d.ts:21

### acosh

- acosh< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/acosh.d.ts:21

### add

- add< T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/add.d.ts:21

### all

- all< T extends Tensor < Rank >>(
  this: T ,
  axis?: number | number[],
  keepDims?: boolean,
  ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T
  - `Optional` axis: number | number[]
  - `Optional` keepDims: boolean

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/all.d.ts:5

### any

- any< T extends Tensor < Rank >>(
  this: T ,
  axis?: number | number[],
  keepDims?: boolean,
  ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T
  - `Optional` axis: number | number[]
  - `Optional` keepDims: boolean

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/any.d.ts:5

### argMax

- argMax< T extends Tensor < Rank >>(axis?: number): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - `Optional` axis: number

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/arg_max.d.ts:5

### argMin

- argMin< T extends Tensor < Rank >>(axis?: number): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - `Optional` axis: number

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/arg_min.d.ts:5

### array

- array(): Promise<ArrayMap[R]>

  Returns the tensor data as a nested array. The transfer of data is done asynchronously.

  #### Returns Promise<ArrayMap[R]>

  #### Doc

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:177

### arraySync

- arraySync(): ArrayMap[R]

  Returns the tensor data as a nested array. The transfer of data is done synchronously.

  #### Returns ArrayMap[R]

  #### Doc

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:184

### as1D

- as1D< T extends Tensor < Rank >>(): Tensor1D

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Returns Tensor1D

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/as1d.d.ts:21

### as2D

- as2D< T extends Tensor < Rank >>(rows: number, columns: number): Tensor2D

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - rows: number
  - columns: number

  #### Returns Tensor2D

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/as2d.d.ts:21

### as3D

- as3D< T extends Tensor < Rank >>(
  rows: number,
  columns: number,
  depth: number,
  ): Tensor3D

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - rows: number
  - columns: number
  - depth: number

  #### Returns Tensor3D

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/as3d.d.ts:21

### as4D

- as4D< T extends Tensor < Rank >>(
  rows: number,
  columns: number,
  depth: number,
  depth2: number,
  ): Tensor4D

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - rows: number
  - columns: number
  - depth: number
  - depth2: number

  #### Returns Tensor4D

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/as4d.d.ts:21

### as5D

- as5D< T extends Tensor < Rank >>(
  rows: number,
  columns: number,
  depth: number,
  depth2: number,
  depth3: number,
  ): Tensor5D

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - rows: number
  - columns: number
  - depth: number
  - depth2: number
  - depth3: number

  #### Returns Tensor5D

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/as5d.d.ts:21

### asin

- asin< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/asin.d.ts:21

### asinh

- asinh< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/asinh.d.ts:21

### asScalar

- asScalar< T extends Tensor < Rank >>(): Scalar

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Returns Scalar

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/as_scalar.d.ts:21

### asType

- asType< T extends Tensor < Rank >>(this: T , dtype: keyof DataTypeMap): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T
  - dtype: keyof DataTypeMap

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/as_type.d.ts:21

### atan

- atan< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/atan.d.ts:21

### atan2

- atan2< T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/atan2.d.ts:5

### atanh

- atanh< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/atanh.d.ts:21

### avgPool

- avgPool< T extends Tensor3D | Tensor4D >(
  filterSize: number | [number, number],
  strides: number | [number, number],
  pad: number | "valid" | "same" | ExplicitPadding,
  dimRoundingMode?: "floor" | "round" | "ceil",
  ): T

  #### Type Parameters

  - T extends Tensor3D | Tensor4D

  #### Parameters

  - filterSize: number | [number, number]
  - strides: number | [number, number]
  - pad: number | "valid" | "same" | ExplicitPadding
  - `Optional` dimRoundingMode: "floor" | "round" | "ceil"

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/avg_pool.d.ts:22

### batchNorm

- batchNorm< T extends Tensor < Rank >>(
  mean: Tensor <R> | TensorLike | Tensor1D ,
  variance: Tensor <R> | TensorLike | Tensor1D ,
  offset?: Tensor <R> | TensorLike | Tensor1D ,
  scale?: Tensor <R> | TensorLike | Tensor1D ,
  varianceEpsilon?: number,
  ): Tensor <R>

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - mean: Tensor <R> | TensorLike | Tensor1D
  - variance: Tensor <R> | TensorLike | Tensor1D
  - `Optional` offset: Tensor <R> | TensorLike | Tensor1D
  - `Optional` scale: Tensor <R> | TensorLike | Tensor1D
  - `Optional` varianceEpsilon: number

  #### Returns Tensor <R>

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/batchnorm.d.ts:5

### batchToSpaceND

- batchToSpaceND< R extends Rank >(
  blockShape: number[],
  crops: number[][],
  ): Tensor < R >

  #### Type Parameters

  - R extends Rank

  #### Parameters

  - blockShape: number[]
  - crops: number[][]

  #### Returns Tensor < R >

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/batch_to_space_nd.d.ts:5

### broadcastTo

- broadcastTo< R extends Rank >(shape: ShapeMap[ R ]): Tensor < R >

  #### Type Parameters

  - R extends Rank

  #### Parameters

  - shape: ShapeMap[ R ]

  #### Returns Tensor < R >

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/broadcast_to.d.ts:21

### buffer

- buffer< D extends keyof DataTypeMap = "float32">(): Promise<TensorBuffer<R, D >>

  Returns a promise of `tf.TensorBuffer` that holds the underlying data.

  #### Type Parameters

  - D extends keyof DataTypeMap = "float32"

  #### Returns Promise<TensorBuffer<R, D >>

  #### Doc

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:165

### bufferSync

- bufferSync< D extends keyof DataTypeMap = "float32">(): TensorBuffer<R, D >

  Returns a `tf.TensorBuffer` that holds the underlying data.

  #### Type Parameters

  - D extends keyof DataTypeMap = "float32"

  #### Returns TensorBuffer<R, D >

  #### Doc

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:170

### bytes

- bytes(): Promise<Uint8Array<ArrayBufferLike> | Uint8Array<ArrayBufferLike>[]>

  Returns the underlying bytes of the tensor's data.

  #### Returns Promise<Uint8Array<ArrayBufferLike> | Uint8Array<ArrayBufferLike>[]>

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:235

### cast

- cast< T extends Tensor < Rank >>(dtype: keyof DataTypeMap): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - dtype: keyof DataTypeMap

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/cast.d.ts:21

### ceil

- ceil< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/ceil.d.ts:21

### clipByValue

- clipByValue< T extends Tensor < Rank >>(min: number, max: number): Tensor

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - min: number
  - max: number

  #### Returns Tensor

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/clip_by_value.d.ts:21

### clone

- clone< T extends Tensor < Rank >>(this: T ): T

  Returns a copy of the tensor. See `tf.clone` for details.

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  #### Doc

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:258

### concat

- concat< T extends Tensor < Rank >>(
  tensors: T | (TensorLike | T)[],
  axis?: number,
  ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - tensors: T | (TensorLike | T)[]
  - `Optional` axis: number

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/concat.d.ts:5

### conv1d

- conv1d< T extends Tensor2D | Tensor3D >(
  filter: Tensor3D | TensorLike3D,
  stride: number,
  pad: number | "valid" | "same" | ExplicitPadding,
  dataFormat?: "NWC" | "NCW",
  dilation?: number,
  dimRoundingMode?: "floor" | "round" | "ceil",
  ): T

  #### Type Parameters

  - T extends Tensor2D | Tensor3D

  #### Parameters

  - filter: Tensor3D | TensorLike3D
  - stride: number
  - pad: number | "valid" | "same" | ExplicitPadding
  - `Optional` dataFormat: "NWC" | "NCW"
  - `Optional` dilation: number
  - `Optional` dimRoundingMode: "floor" | "round" | "ceil"

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/conv1d.d.ts:6

### conv2d

- conv2d< T extends Tensor3D | Tensor4D >(
  filter: Tensor4D | TensorLike4D,
  strides: number | [number, number],
  pad: number | "valid" | "same",
  dataFormat?: "NHWC" | "NCHW",
  dilations?: number | [number, number],
  dimRoundingMode?: "floor" | "round" | "ceil",
  ): T

  #### Type Parameters

  - T extends Tensor3D | Tensor4D

  #### Parameters

  - filter: Tensor4D | TensorLike4D
  - strides: number | [number, number]
  - pad: number | "valid" | "same"
  - `Optional` dataFormat: "NHWC" | "NCHW"
  - `Optional` dilations: number | [number, number]
  - `Optional` dimRoundingMode: "floor" | "round" | "ceil"

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/conv2d.d.ts:5

### conv2dTranspose

- conv2dTranspose< T extends Tensor3D | Tensor4D >(
  filter: Tensor4D | TensorLike4D,
  outputShape: [number, number, number] | [number, number, number, number],
  strides: number | [number, number],
  pad: number | "valid" | "same",
  dimRoundingMode?: "floor" | "round" | "ceil",
  ): T

  #### Type Parameters

  - T extends Tensor3D | Tensor4D

  #### Parameters

  - filter: Tensor4D | TensorLike4D
  - outputShape: [number, number, number] | [number, number, number, number]
  - strides: number | [number, number]
  - pad: number | "valid" | "same"
  - `Optional` dimRoundingMode: "floor" | "round" | "ceil"

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/conv2d_transpose.d.ts:5

### cos

- cos< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/cos.d.ts:21

### cosh

- cosh< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/cosh.d.ts:21

### cumprod

- cumprod< R extends Rank >(
  axis?: number,
  exclusive?: boolean,
  reverse?: boolean,
  ): Tensor < R >

  #### Type Parameters

  - R extends Rank

  #### Parameters

  - `Optional` axis: number
  - `Optional` exclusive: boolean
  - `Optional` reverse: boolean

  #### Returns Tensor < R >

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/cumprod.d.ts:5

### cumsum

- cumsum< R extends Rank >(
  axis?: number,
  exclusive?: boolean,
  reverse?: boolean,
  ): Tensor < R >

  #### Type Parameters

  - R extends Rank

  #### Parameters

  - `Optional` axis: number
  - `Optional` exclusive: boolean
  - `Optional` reverse: boolean

  #### Returns Tensor < R >

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/cumsum.d.ts:5

### data

- data< D extends keyof DataTypeMap = NumericDataType>(): Promise<DataTypeMap[ D ]>

  Asynchronously downloads the values from the `tf.Tensor`. Returns a promise of `TypedArray` that resolves when the computation has finished.

  #### Type Parameters

  - D extends keyof DataTypeMap = NumericDataType

  #### Returns Promise<DataTypeMap[ D ]>

  #### Doc

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:191

### dataSync

- dataSync< D extends keyof DataTypeMap = NumericDataType>(): DataTypeMap[ D ]

  Synchronously downloads the values from the `tf.Tensor`. This blocks the UI thread until the values are ready, which can cause performance issues.

  #### Type Parameters

  - D extends keyof DataTypeMap = NumericDataType

  #### Returns DataTypeMap[ D ]

  #### Doc

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:233

### dataToGPU

- dataToGPU(options?: DataToGPUWebGLOption): GPUData

  Copy the tensor's data to a new GPU resource. Comparing to the `dataSync()` and `data()`, this method prevents data from being downloaded to CPU.

  For WebGL backend, the data will be stored on a densely packed texture. This means that the texture will use the RGBA channels to store value.

  For WebGPU backend, the data will be stored on a buffer. There is no parameter, so can not use a user-defined size to create the buffer.

  #### Parameters

  - `Optional` options: DataToGPUWebGLOption

  #### Returns GPUData

  For WebGL backend, a GPUData contains the new texture and its information. { tensorRef: The tensor that is associated with this texture, texture: WebGLTexture, texShape: [number, number] // [height, width] }

      For WebGPU backend, a GPUData contains the new buffer.
      {
         tensorRef: The tensor that is associated with this buffer,
         buffer: GPUBuffer,
      }

      Remember to dispose the GPUData after it is used by
      `res.tensorRef.dispose()`.

  #### Doc

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:226

### depthToSpace

- depthToSpace< T extends Tensor4D >(
  blockSize: number,
  dataFormat: "NHWC" | "NCHW",
  ): T

  #### Type Parameters

  - T extends Tensor4D

  #### Parameters

  - blockSize: number
  - dataFormat: "NHWC" | "NCHW"

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/depth_to_space.d.ts:5

### depthwiseConv2d

- depthwiseConv2d< T extends Tensor3D | Tensor4D >(
  filter: Tensor4D | TensorLike4D,
  strides: number | [number, number],
  pad: number | "valid" | "same",
  dataFormat?: "NHWC" | "NCHW",
  dilations?: number | [number, number],
  dimRoundingMode?: "floor" | "round" | "ceil",
  ): T

  #### Type Parameters

  - T extends Tensor3D | Tensor4D

  #### Parameters

  - filter: Tensor4D | TensorLike4D
  - strides: number | [number, number]
  - pad: number | "valid" | "same"
  - `Optional` dataFormat: "NHWC" | "NCHW"
  - `Optional` dilations: number | [number, number]
  - `Optional` dimRoundingMode: "floor" | "round" | "ceil"

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/depthwise_conv2d.d.ts:5

### dilation2d

- dilation2d< T extends Tensor3D | Tensor4D >(
  filter: Tensor3D | TensorLike3D,
  strides: number | [number, number],
  pad: "valid" | "same",
  dilations?: number | [number, number],
  dataFormat?: "NHWC",
  ): T

  #### Type Parameters

  - T extends Tensor3D | Tensor4D

  #### Parameters

  - filter: Tensor3D | TensorLike3D
  - strides: number | [number, number]
  - pad: "valid" | "same"
  - `Optional` dilations: number | [number, number]
  - `Optional` dataFormat: "NHWC"

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/dilation2d.d.ts:5

### dispose

- dispose(): void

  Disposes `tf.Tensor` from memory.

  #### Returns void

  #### Doc

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:241

### div

- div< T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/div.d.ts:21

### divNoNan

- divNoNan< T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/div_no_nan.d.ts:21

### dot

- dot< T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): Tensor

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike

  #### Returns Tensor

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/dot.d.ts:5

### elu

- elu< T extends Tensor < Rank >>(): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/elu.d.ts:5

### equal

- equal< T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/equal.d.ts:5

### erf

- erf< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/erf.d.ts:21

### euclideanNorm

- euclideanNorm< T extends Tensor < Rank >>(
  this: T ,
  axis?: number | number[],
  keepDims?: boolean,
  ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T
  - `Optional` axis: number | number[]
  - `Optional` keepDims: boolean

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/euclidean_norm.d.ts:21

### exp

- exp< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/exp.d.ts:21

### expandDims

- expandDims< T extends Tensor < Rank >>(axis?: number): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - `Optional` axis: number

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/expand_dims.d.ts:5

### expm1

- expm1< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/expm1.d.ts:21

### fft

- fft< T extends Tensor < Rank >>(this: Tensor ): Tensor

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: Tensor

  #### Returns Tensor

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/fft.d.ts:21

### flatten

- flatten< T extends Tensor < Rank >>(): Tensor1D

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Returns Tensor1D

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/flatten.d.ts:21

### floor

- floor< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/floor.d.ts:21

### floorDiv

- floorDiv< T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/floorDiv.d.ts:5

### gather

- gather< T extends Tensor < Rank >>(
  this: T ,
  indices: Tensor < Rank > | TensorLike ,
  axis?: number,
  batchDims?: number,
  ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T
  - indices: Tensor < Rank > | TensorLike
  - `Optional` axis: number
  - `Optional` batchDims: number

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/gather.d.ts:21

### greater

- greater< T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/greater.d.ts:5

### greaterEqual

- greaterEqual< T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/greater_equal.d.ts:5

### ifft

- ifft< T extends Tensor < Rank >>(this: Tensor ): Tensor

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: Tensor

  #### Returns Tensor

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/ifft.d.ts:21

### irfft

- irfft< T extends Tensor < Rank >>(this: Tensor ): Tensor

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: Tensor

  #### Returns Tensor

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/irfft.d.ts:21

### isFinite

- isFinite< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/is_finite.d.ts:21

### isInf

- isInf< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/is_inf.d.ts:21

### isNaN

- isNaN< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/is_nan.d.ts:21

### leakyRelu

- leakyRelu< T extends Tensor < Rank >>(alpha: number): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - alpha: number

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/leaky_relu.d.ts:5

### less

- less< T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/less.d.ts:5

### lessEqual

- lessEqual< T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/less_equal.d.ts:5

### localResponseNormalization

- localResponseNormalization< T extends Tensor < Rank >>(
  depthRadius?: number,
  bias?: number,
  alpha?: number,
  beta?: number,
  ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - `Optional` depthRadius: number
  - `Optional` bias: number
  - `Optional` alpha: number
  - `Optional` beta: number

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/local_response_normalization.d.ts:5

### log

- log< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/log.d.ts:21

### log1p

- log1p< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/log1p.d.ts:21

### logicalAnd

- logicalAnd< T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/logical_and.d.ts:5

### logicalNot

- logicalNot< T extends Tensor < Rank >>(): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/logical_not.d.ts:5

### logicalOr

- logicalOr< T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/logical_or.d.ts:5

### logicalXor

- logicalXor< T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/logical_xor.d.ts:5

### logSigmoid

- logSigmoid< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/log_sigmoid.d.ts:21

### logSoftmax

- logSoftmax< T extends Tensor < Rank >>(this: T , axis?: number): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T
  - `Optional` axis: number

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/log_softmax.d.ts:21

### logSumExp

- logSumExp< T extends Tensor < Rank >>(
  this: T ,
  axis?: number | number[],
  keepDims?: boolean,
  ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T
  - `Optional` axis: number | number[]
  - `Optional` keepDims: boolean

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/log_sum_exp.d.ts:5

### matMul

- matMul< T extends Tensor < Rank >>(
  b: Tensor < Rank > | TensorLike ,
  transposeA?: boolean,
  transposeB?: boolean,
  ): Tensor

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike
  - `Optional` transposeA: boolean
  - `Optional` transposeB: boolean

  #### Returns Tensor

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/mat_mul.d.ts:5

### max

- max< T extends Tensor < Rank >>(axis?: number | number[], keepDims?: boolean): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - `Optional` axis: number | number[]
  - `Optional` keepDims: boolean

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/max.d.ts:21

### maximum

- maximum< T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/maximum.d.ts:5

### maxPool

- maxPool< T extends Tensor3D | Tensor4D >(
  filterSize: number | [number, number],
  strides: number | [number, number],
  pad: number | "valid" | "same" | ExplicitPadding,
  dimRoundingMode?: "floor" | "round" | "ceil",
  ): T

  #### Type Parameters

  - T extends Tensor3D | Tensor4D

  #### Parameters

  - filterSize: number | [number, number]
  - strides: number | [number, number]
  - pad: number | "valid" | "same" | ExplicitPadding
  - `Optional` dimRoundingMode: "floor" | "round" | "ceil"

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/max_pool.d.ts:22

### mean

- mean< T extends Tensor < Rank >>(axis?: number | number[], keepDims?: boolean): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - `Optional` axis: number | number[]
  - `Optional` keepDims: boolean

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/mean.d.ts:5

### min

- min< T extends Tensor < Rank >>(axis?: number | number[], keepDims?: boolean): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - `Optional` axis: number | number[]
  - `Optional` keepDims: boolean

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/min.d.ts:21

### minimum

- minimum< T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/minimum.d.ts:5

### mirrorPad

- mirrorPad< T extends Tensor < Rank >>(
  paddings: [number, number][],
  mode: "reflect" | "symmetric",
  ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - paddings: [number, number][]
  - mode: "reflect" | "symmetric"

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/mirror_pad.d.ts:21

### mod

- mod< T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/mod.d.ts:5

### mul

- mul< T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/mul.d.ts:5

### neg

- neg< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/neg.d.ts:21

### norm

- norm< T extends Tensor < Rank >>(
  ord?: number | "euclidean" | "fro",
  axis?: number | number[],
  keepDims?: boolean,
  ): Tensor

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - `Optional` ord: number | "euclidean" | "fro"
  - `Optional` axis: number | number[]
  - `Optional` keepDims: boolean

  #### Returns Tensor

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/norm.d.ts:21

### notEqual

- notEqual< T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/not_equal.d.ts:5

### oneHot

- oneHot(depth: number, onValue: number, offValue: number): Tensor

  #### Parameters

  - depth: number
  - onValue: number
  - offValue: number

  #### Returns Tensor

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/one_hot.d.ts:21

### onesLike

- onesLike< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/ones_like.d.ts:21

### pad

- pad< T extends Tensor < Rank >>(
  paddings: [number, number][],
  constantValue?: number,
  ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - paddings: [number, number][]
  - `Optional` constantValue: number

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/pad.d.ts:21

### pool

- pool< T extends Tensor3D | Tensor4D >(
  windowShape: number | [number, number],
  poolingType: "avg" | "max",
  padding: number | "valid" | "same" | ExplicitPadding,
  diationRate?: number | [number, number],
  strides?: number | [number, number],
  dimRoundingMode?: "floor" | "round" | "ceil",
  ): T

  #### Type Parameters

  - T extends Tensor3D | Tensor4D

  #### Parameters

  - windowShape: number | [number, number]
  - poolingType: "avg" | "max"
  - padding: number | "valid" | "same" | ExplicitPadding
  - `Optional` diationRate: number | [number, number]
  - `Optional` strides: number | [number, number]
  - `Optional` dimRoundingMode: "floor" | "round" | "ceil"

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/pool.d.ts:22

### pow

- pow< T extends Tensor < Rank >>(exp: Tensor < Rank > | TensorLike ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - exp: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/pow.d.ts:5

### prelu

- prelu< T extends Tensor < Rank >>(alpha: TensorLike | T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - alpha: TensorLike | T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/prelu.d.ts:5

### print

- print(verbose?: boolean): void

  Prints the `tf.Tensor`. See `tf.print` for details.

  #### Parameters

  - `Optional` verbose: boolean

    Whether to print verbose information about the tensor, including dtype and size.

  #### Returns void

  #### Doc

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:253

### prod

- prod< T extends Tensor < Rank >>(
  this: T ,
  axis?: number | number[],
  keepDims?: boolean,
  ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T
  - `Optional` axis: number | number[]
  - `Optional` keepDims: boolean

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/prod.d.ts:5

### reciprocal

- reciprocal< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/reciprocal.d.ts:21

### relu

- relu< T extends Tensor < Rank >>(): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/relu.d.ts:5

### relu6

- relu6< T extends Tensor < Rank >>(): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/relu6.d.ts:5

### reshape

- reshape< T extends Tensor < Rank >>(shape: number[]): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - shape: number[]

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/reshape.d.ts:5

### reshapeAs

- reshapeAs< T extends Tensor < Rank >>(x: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - x: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/reshape_as.d.ts:21

### resizeBilinear

- resizeBilinear< T extends Tensor3D | Tensor4D >(
  newShape2D: [number, number],
  alignCorners?: boolean,
  halfPixelCenters?: boolean,
  ): T

  #### Type Parameters

  - T extends Tensor3D | Tensor4D

  #### Parameters

  - newShape2D: [number, number]
  - `Optional` alignCorners: boolean
  - `Optional` halfPixelCenters: boolean

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/resize_bilinear.d.ts:5

### resizeNearestNeighbor

- resizeNearestNeighbor< T extends Tensor3D | Tensor4D >(
  newShape2D: [number, number],
  alignCorners?: boolean,
  halfFloatCenters?: boolean,
  ): T

  #### Type Parameters

  - T extends Tensor3D | Tensor4D

  #### Parameters

  - newShape2D: [number, number]
  - `Optional` alignCorners: boolean
  - `Optional` halfFloatCenters: boolean

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/resize_nearest_neighbor.d.ts:5

### reverse

- reverse< T extends Tensor < Rank >>(this: T , axis?: number | number[]): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T
  - `Optional` axis: number | number[]

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/reverse.d.ts:5

### rfft

- rfft< T extends Tensor < Rank >>(this: Tensor ): Tensor

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: Tensor

  #### Returns Tensor

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/rfft.d.ts:21

### round

- round< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/round.d.ts:21

### rsqrt

- rsqrt< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/rsqrt.d.ts:21

### selu

- selu< T extends Tensor < Rank >>(): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/selu.d.ts:5

### separableConv2d

- separableConv2d< T extends Tensor3D | Tensor4D >(
  depthwiseFilter: Tensor4D | TensorLike4D,
  pointwiseFilter: TensorLike | Tensor4D ,
  strides: number | [number, number],
  pad: "valid" | "same",
  dilation?: number | [number, number],
  dataFormat?: "NHWC" | "NCHW",
  ): T

  #### Type Parameters

  - T extends Tensor3D | Tensor4D

  #### Parameters

  - depthwiseFilter: Tensor4D | TensorLike4D
  - pointwiseFilter: TensorLike | Tensor4D
  - strides: number | [number, number]
  - pad: "valid" | "same"
  - `Optional` dilation: number | [number, number]
  - `Optional` dataFormat: "NHWC" | "NCHW"

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/separable_conv2d.d.ts:5

### sigmoid

- sigmoid< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/sigmoid.d.ts:21

### sign

- sign< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/sign.d.ts:21

### sin

- sin< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/sin.d.ts:21

### sinh

- sinh< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/sinh.d.ts:21

### slice

- slice< T extends Tensor < Rank >>(
  this: T ,
  begin: number | number[],
  size?: number | number[],
  ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T
  - begin: number | number[]
  - `Optional` size: number | number[]

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/slice.d.ts:21

### softmax

- softmax< T extends Tensor < Rank >>(this: T , dim?: number): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T
  - `Optional` dim: number

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/softmax.d.ts:21

### softplus

- softplus< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/softplus.d.ts:21

### spaceToBatchND

- spaceToBatchND< R extends Rank >(
  blockShape: number[],
  paddings: number[][],
  ): Tensor < R >

  #### Type Parameters

  - R extends Rank

  #### Parameters

  - blockShape: number[]
  - paddings: number[][]

  #### Returns Tensor < R >

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/space_to_batch_nd.d.ts:5

### split

- split< T extends Tensor < Rank >>(
  numOrSizeSplits: number | number[],
  axis?: number,
  ): T []

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - numOrSizeSplits: number | number[]
  - `Optional` axis: number

  #### Returns T []

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/split.d.ts:5

### sqrt

- sqrt< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/sqrt.d.ts:21

### square

- square< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/square.d.ts:21

### squaredDifference

- squaredDifference< T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/squared_difference.d.ts:21

### squeeze

- squeeze< T extends Tensor < Rank >>(axis?: number[]): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - `Optional` axis: number[]

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/squeeze.d.ts:5

### stack

- stack< T extends Tensor < Rank >>(
  x: Tensor < Rank > | Tensor < Rank >[],
  axis?: number,
  ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - x: Tensor < Rank > | Tensor < Rank >[]
  - `Optional` axis: number

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/stack.d.ts:5

### step

- step< T extends Tensor < Rank >>(this: T , alpha?: number): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T
  - `Optional` alpha: number

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/step.d.ts:21

### stridedSlice

- stridedSlice< T extends Tensor < Rank >>(
  this: Tensor ,
  begin: number[],
  end: number[],
  strides: number[],
  beginMask?: number,
  endMask?: number,
  ellipsisMask?: number,
  newAxisMask?: number,
  shrinkAxisMask?: number,
  ): Tensor

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: Tensor
  - begin: number[]
  - end: number[]
  - strides: number[]
  - `Optional` beginMask: number
  - `Optional` endMask: number
  - `Optional` ellipsisMask: number
  - `Optional` newAxisMask: number
  - `Optional` shrinkAxisMask: number

  #### Returns Tensor

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/strided_slice.d.ts:21

### sub

- sub< T extends Tensor < Rank >>(b: Tensor < Rank > | TensorLike ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/sub.d.ts:5

### sum

- sum< T extends Tensor < Rank >>(axis?: number | number[], keepDims?: boolean): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - `Optional` axis: number | number[]
  - `Optional` keepDims: boolean

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/sum.d.ts:5

### tan

- tan< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/tan.d.ts:21

### tanh

- tanh< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/tanh.d.ts:21

### throwIfDisposed

- throwIfDisposed(): void

  #### Returns void

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:244

### tile

- tile< T extends Tensor < Rank >>(b: number[]): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - b: number[]

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/tile.d.ts:21

### toBool

- toBool< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/to_bool.d.ts:21

### toFloat

- toFloat< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/to_float.d.ts:21

### toInt

- toInt< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/to_int.d.ts:21

### topk

- topk< T extends Tensor < Rank >>(
  this: T ,
  k?: number,
  sorted?: boolean,
  ): { indices: T ; values: T }

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T
  - `Optional` k: number
  - `Optional` sorted: boolean

  #### Returns { indices: T ; values: T }

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/topk.d.ts:21

### toString

- toString(verbose?: boolean): string

  Returns a human-readable description of the tensor. Useful for logging.

  #### Parameters

  - `Optional` verbose: boolean

  #### Returns string

  #### Doc

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:264

### transpose

- transpose< T extends Tensor < Rank >>(perm?: number[]): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - `Optional` perm: number[]

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/transpose.d.ts:21

### unique

- unique< T extends Tensor < Rank >>(
  this: T ,
  axis?: number,
  ): { indices: T ; values: T }

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T
  - `Optional` axis: number

  #### Returns { indices: T ; values: T }

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/unique.d.ts:21

### unsortedSegmentSum

- unsortedSegmentSum< T extends Tensor < Rank >>(
  this: T ,
  segmentIds: Tensor1D | TensorLike1D,
  numSegments: number,
  ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T
  - segmentIds: Tensor1D | TensorLike1D
  - numSegments: number

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/unsorted_segment_sum.d.ts:21

### unstack

- unstack< T extends Tensor < Rank >>(axis?: number): T []

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - `Optional` axis: number

  #### Returns T []

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/unstack.d.ts:5

### variable

- variable(
  trainable?: boolean,
  name?: string,
  dtype?: keyof DataTypeMap,
  ): Variable<R>

  #### Parameters

  - `Optional` trainable: boolean
  - `Optional` name: string
  - `Optional` dtype: keyof DataTypeMap

  #### Returns Variable<R>

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/tensor.d.ts:265

### where

- where< T extends Tensor < Rank >>(
  condition: Tensor < Rank > | TensorLike ,
  x: Tensor < Rank > | TensorLike ,
  ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - condition: Tensor < Rank > | TensorLike
  - x: Tensor < Rank > | TensorLike

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/where.d.ts:21

### zerosLike

- zerosLike< T extends Tensor < Rank >>(this: T ): T

  #### Type Parameters

  - T extends Tensor < Rank >

  #### Parameters

  - this: T

  #### Returns T

  - Defined in node_modules/.pnpm/@tensorflow+tfjs-core@4.22.0/node_modules/@tensorflow/tfjs-core/dist/public/chained_ops/zeros_like.d.ts:21